summaryrefslogtreecommitdiffstats
path: root/libraries/libg7221
diff options
context:
space:
mode:
author Yossi Neiman <mishehu+sbo@shavedgoats.net>2023-09-30 10:27:35 +0900
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2023-09-30 11:16:22 +0700
commit08e96bf975b732363b9f0dfbc7e51392aae7a9d5 (patch)
treeb6eb05674f9156a40ea5a8195fd9d431b1b8398b /libraries/libg7221
parent17ce2d14f587608f06a599169fff989c4a263aa0 (diff)
downloadslackbuilds-08e96bf975b732363b9f0dfbc7e51392aae7a9d5.tar.gz
slackbuilds-08e96bf975b732363b9f0dfbc7e51392aae7a9d5.tar.xz
libraries/libg7221: Added (siren 6 and 14 codec).
Signed-off-by: Andrew Clemons <andrew.clemons@gmail.com> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'libraries/libg7221')
-rw-r--r--libraries/libg7221/README4
-rw-r--r--libraries/libg7221/libg7221.SlackBuild107
-rw-r--r--libraries/libg7221/libg7221.info10
-rw-r--r--libraries/libg7221/slack-desc19
4 files changed, 140 insertions, 0 deletions
diff --git a/libraries/libg7221/README b/libraries/libg7221/README
new file mode 100644
index 0000000000..ee39e90d57
--- /dev/null
+++ b/libraries/libg7221/README
@@ -0,0 +1,4 @@
+libg7221 (ITU G.722.1 Siren codecs)
+
+This package provides support for implementing the Siren 7 and
+Siren 14 codecs for applications such as FreeSWITCH.
diff --git a/libraries/libg7221/libg7221.SlackBuild b/libraries/libg7221/libg7221.SlackBuild
new file mode 100644
index 0000000000..27fd914a17
--- /dev/null
+++ b/libraries/libg7221/libg7221.SlackBuild
@@ -0,0 +1,107 @@
+#!/bin/bash
+
+# Slackware build script for libg7221
+#
+# Copyright 2023 Yossi Neiman, mishehu+sbo@shavedgoats.net
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=libg7221
+VERSION=${VERSION:-20170711_e7db1cc}
+FULLCOMMIT=${FULLCOMMIT:-e7db1cc39e3fe37d8dda328a69eb523115f0fd32}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$FULLCOMMIT
+tar xvf $CWD/$PRGNAM-$FULLCOMMIT.tar.gz
+cd $PRGNAM-$FULLCOMMIT
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+./autogen.sh
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --disable-static \
+ --build=$ARCH-slackware-linux
+
+make
+make install-strip DESTDIR=$PKG
+
+rm -f $PKG/usr/lib*/*.la
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cp AUTHORS COPYING README ChangeLog NEWS $PKG/usr/doc/$PRGNAM-$VERSION/
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/libraries/libg7221/libg7221.info b/libraries/libg7221/libg7221.info
new file mode 100644
index 0000000000..9da094c46c
--- /dev/null
+++ b/libraries/libg7221/libg7221.info
@@ -0,0 +1,10 @@
+PRGNAM="libg7221"
+VERSION="20170711_e7db1cc"
+HOMEPAGE="https://github.com/freeswitch/libg7221"
+DOWNLOAD="https://github.com/freeswitch/libg7221/archive/e7db1cc39e3fe37d8dda328a69eb523115f0fd32/libg7221-e7db1cc39e3fe37d8dda328a69eb523115f0fd32.tar.gz"
+MD5SUM="08e834a87b3799eaf6889b5da47e6268"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Yossi Neiman"
+EMAIL="mishehu+sbo@shavedgoats.net"
diff --git a/libraries/libg7221/slack-desc b/libraries/libg7221/slack-desc
new file mode 100644
index 0000000000..bb57db8f47
--- /dev/null
+++ b/libraries/libg7221/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+libg7221: libg7221 (Siren 7 & 14 codec)
+libg7221:
+libg7221: This package provides support for implementing the Siren 7 & Siren
+libg7221: 14 codecs for applications such as FreeSWITCH. These codecs are a
+libg7221: part of ITU G.722.1.
+libg7221:
+libg7221:
+libg7221:
+libg7221:
+libg7221:
+libg7221: